---
title: CSSConditionRule
slug: Web/API/CSSConditionRule
tags:
  - API
  - CSSOM
  - Interface
  - Reference
---
<p>{{ APIRef("CSSOM") }}</p>

<p>An object implementing the <strong><code>CSSConditionRule</code></strong> interface represents a single condition CSS at-rule, which consists of a condition and a statement block. It is a child of {{domxref("CSSGroupingRule")}}.</p>

<p>Two objects derive from it : {{domxref("CSSMediaRule")}} and {{domxref("CSSSupportsRule")}}.</p>

<h2 id="Syntax">Syntax</h2>

<p>The syntax is described using the <a class="external" href="http://dev.w3.org/2006/webapi/WebIDL/">WebIDL</a> format.</p>

<pre>interface CSSConditionRule : CSSGroupingRule {
    attribute DOMString conditionText;
}
</pre>

<h2 id="Properties">Properties</h2>

<p>The <code>CSSConditionRule</code> derives from {{domxref("CSSRule")}}, {{domxref("CSSGroupingRule")}} and inherits all properties of these classes. It has one specific property:</p>

<dl>
 <dt>{{domxref("CSSConditionRule.conditionText")}}</dt>
 <dd>Represents the text of the condition of the rule.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>The <code>CSSConditionRule</code> derives from {{domxref("CSSRule")}}, {{domxref("CSSGroupingRule")}} and inherits all methods of these classes. It has no specific property of its own.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Conditional', '#the-cssconditionrule-interface', 'CSSConditionRule') }}</td>
   <td>{{ Spec2('CSS3 Conditional') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSConditionRule")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en/DOM/Using_dynamic_styling_information" title="en/DOM/Using_dynamic_styling_information">Using dynamic styling information</a></li>
</ul>
